OCF_HEARTBEAT_LXD-I(7)

NAME
ocf_heartbeat_lxd-info - Records various node attributes in the CIB

SYNOPSIS

lxd-info [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a LXD Registration Service Resource Agent. It records (in the CIB) attributes about the number of running LXD containers running on the node. Sample output: lxd_containers: 5

SUPPORTED PARAMETERS

pidfile
    PID file

    (optional, string, default "/var/run/resource-agents/LXDInfo-RESOURCE_ID")

delay
    Interval to allow values to stabilize

    (optional, string, default "0s")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a lxd-info resource using the crm(8) shell:

    primitive p_lxd-info ocf:heartbeat:lxd-info \
      op monitor timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a lxd-info resource using pcs(8)

    pcs resource create p_lxd-info ocf:heartbeat:lxd-info \
      op monitor timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)